Fetch a list of properties belonging to the user. The returned results are paginated. Results can be filtered by status, object type, or property type, and can be sorted by several fields. `search` performs a case-insensitive match against the property name.
AuthorizationRequiredBearer <token>API key as Bearer token
In: header
pageinteger0Minimum: 0Maximum: 9007199254740991pageSizeinteger20Minimum: 1Maximum: 100objectTypestringFilter by the type of object this property belongs to.
"event" | "order" | "ticket" | "contact"propertyTypestringFilter by property data type.
"Text" | "Multi-line Text" | "Select One" | "Yes/No" | "Select Multiple" | "Date" | "File" | "Email" | "Phone"statusstringFilter by property status.
"active" | "archived"sortstring"name"Value in: "name" | "description" | "type" | "objectType" | "status"orderstring"asc"Value in: "asc" | "desc"searchstringSearches property names, case-insensitive.
curl -X GET "https://api.3common.com/v1/properties/?objectType=event&propertyType=Text&status=active&sort=name&order=asc&search=string" \
-H "Authorization: Bearer <token>"{
"hasMore": true,
"data": [
{
"type": "Text",
"id": "string",
"name": "string",
"description": "string",
"status": "active",
"objectType": "event"
}
]
}export interface Response {
/**
* If true, there are more pages of results available.
*/
hasMore: boolean;
data: (
| {
type: "Text";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Multi-line Text";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
options: {
/**
* The value stored when this option is selected.
*/
value: string;
/**
* The display label for this option.
*/
label: string;
}[];
type: "Select One";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Yes/No";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
options: {
/**
* The value stored when this option is selected.
*/
value: string;
/**
* The display label for this option.
*/
label: string;
}[];
type: "Select Multiple";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Date";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "File";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Email";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
| {
type: "Phone";
/**
* This property's unique ID.
*/
id: string;
/**
* The property's name. Must be unique among other properties for the same
* `objectType` (case-insensitive).
*/
name: string;
/**
* Optional information about this property.
*/
description?: string;
/**
* Determines where this property can be used. "archived" properties are
* soft-deleted (any existing reference to them remains valid) but only "active"
* properties should be used in new workflows, forms, etc.
*/
status: "active" | "archived";
/**
* The type of object this property belongs to.
* - event: properties on events
* - order: properties on orders (buyer-level)
* - ticket: properties on individual products within an order (tickets, add-ons, etc.)
* - contact: properties on customer contact records
*/
objectType: "event" | "order" | "ticket" | "contact";
}
)[];
}
Remove Logic Rule
Remove all conditional logic rules on a source element which target a specific revealed element. If the source element has no remaining logic rules after removal, its `logicGroups` array is removed entirely.
Create Property
Create a new property. Note that "type" and "objectType" can ONLY be set when creating the property and CANNOT be modified! Returns the created property, which will have an ID generated for it. For 'Select One' and 'Select Multiple' types, `options` is required and must have at least one entry.